python3-wokkel_18.0.0-1_all.deb


Advertisement

Description

python3-wokkel - Python 3 collection of enhancements for Twisted

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python3-wokkel_18.0.0-1_all.deb
Package name python3-wokkel
Package version 18.0.0
Package release 1
Package architecture all
Package type deb
Category python
Homepage https://wokkel.ik.nu/
License -
Maintainer Angel Abad <angel@debian.org>
Download size 92.12 KB
Installed size 762.00 KB
python3-wokkel is a collection of enhancements on top of the
Twisted networking framework, written in Python. It
mostly provides a testing ground for enhancements to
the Jabber/XMPP protocol implementation as found in
Twisted Words, that are meant to eventually move there.
This package install python3 library.

Alternatives

Package Version Architecture Repository
python3-wokkel_18.0.0-1_all.deb 18.0.0 all Debian Main
python3-wokkel - - -

Requires

Name Value
python3-crypto -
python3-dateutil -
python3-incremental -
python3-twisted >= 16.4.0
python3:any >= 3.6~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-wokkel_18.0.0-1_all.deb
Source Package wokkel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-wokkel deb package:
    # sudo apt-get install python3-wokkel

Files

Path
/usr/lib/python3/dist-packages/twisted/plugins/server.py
/usr/lib/python3/dist-packages/wokkel/__init__.py
/usr/lib/python3/dist-packages/wokkel/_version.py
/usr/lib/python3/dist-packages/wokkel/client.py
/usr/lib/python3/dist-packages/wokkel/compat.py
/usr/lib/python3/dist-packages/wokkel/component.py
/usr/lib/python3/dist-packages/wokkel/componentservertap.py
/usr/lib/python3/dist-packages/wokkel/data_form.py
/usr/lib/python3/dist-packages/wokkel/delay.py
/usr/lib/python3/dist-packages/wokkel/disco.py
/usr/lib/python3/dist-packages/wokkel/formats.py
/usr/lib/python3/dist-packages/wokkel/generic.py
/usr/lib/python3/dist-packages/wokkel/iwokkel.py
/usr/lib/python3/dist-packages/wokkel/muc.py
/usr/lib/python3/dist-packages/wokkel/ping.py
/usr/lib/python3/dist-packages/wokkel/pubsub.py
/usr/lib/python3/dist-packages/wokkel/server.py
/usr/lib/python3/dist-packages/wokkel/shim.py
/usr/lib/python3/dist-packages/wokkel/subprotocols.py
/usr/lib/python3/dist-packages/wokkel/xmppim.py
/usr/lib/python3/dist-packages/wokkel-18.0.0.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/wokkel-18.0.0.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/wokkel-18.0.0.egg-info/not-zip-safe
/usr/lib/python3/dist-packages/wokkel-18.0.0.egg-info/requires.txt
/usr/lib/python3/dist-packages/wokkel-18.0.0.egg-info/top_level.txt
/usr/lib/python3/dist-packages/wokkel/test/__init__.py
/usr/lib/python3/dist-packages/wokkel/test/helpers.py
/usr/lib/python3/dist-packages/wokkel/test/test_client.py
/usr/lib/python3/dist-packages/wokkel/test/test_compat.py
/usr/lib/python3/dist-packages/wokkel/test/test_component.py
/usr/lib/python3/dist-packages/wokkel/test/test_data_form.py
/usr/lib/python3/dist-packages/wokkel/test/test_delay.py
/usr/lib/python3/dist-packages/wokkel/test/test_disco.py
/usr/lib/python3/dist-packages/wokkel/test/test_formats.py
/usr/lib/python3/dist-packages/wokkel/test/test_generic.py
/usr/lib/python3/dist-packages/wokkel/test/test_iwokkel.py
/usr/lib/python3/dist-packages/wokkel/test/test_muc.py
/usr/lib/python3/dist-packages/wokkel/test/test_ping.py
/usr/lib/python3/dist-packages/wokkel/test/test_pubsub.py
/usr/lib/python3/dist-packages/wokkel/test/test_server.py
/usr/lib/python3/dist-packages/wokkel/test/test_shim.py
/usr/lib/python3/dist-packages/wokkel/test/test_subprotocols.py
/usr/lib/python3/dist-packages/wokkel/test/test_version.py
/usr/lib/python3/dist-packages/wokkel/test/test_xmppim.py
/usr/share/doc/python3-wokkel/changelog.Debian.gz
/usr/share/doc/python3-wokkel/changelog.gz
/usr/share/doc/python3-wokkel/copyright

Changelog

2018-12-06 - Angel Abad <angel@debian.org>
wokkel (18.0.0-1) unstable; urgency=medium
* debian/control: Set Vcs-* to DPMTs salsa.debian.org
(Closes: #735304)
* New upstream version 18.0.0 (Closes: #915518)
2018-09-20 - Angel Abad <angel@debian.org>
wokkel (18.0.0~rc5-1) unstable; urgency=medium
* New upstream version 18.0.0~rc5
* debian/patches/fix-utf-encoding: Remove patch, applied upstream.
* debian/control: Remove obsolete X-Python-Version.
* debian/rules: Remove trailing whitespaces.
* Bump Standards-Version to 4.2.1 (no changes)
2018-04-07 - Angel Abad <angel@debian.org>
wokkel (18.0.0~rc4-2) unstable; urgency=medium
* Upload to unstable
* debian/control: Add Rules-Requires-Root to support building as
non-root. Thanks to W. Martin Borgert
* debian/control:
- Add autopkgtest-pkg-python testsuite.
- Use HTTPS in Homepage.
* debian/watch: Use pypi.debian.net redirector.
2018-04-01 - Angel Abad <angel@debian.org>
wokkel (18.0.0~rc4-1) experimental; urgency=medium
* New upstream version 18.0.0~rc4
* debian/control:
- Fix Vcs-Browser field
- Update {Build-}Depends versions
- Build-Depends on python-incremental
- Remove trailing whitespaces
* debian/watch: Fix wrong download url.
* Update Vcs-* headers for switch to salsa.debian.org
* debian/rules: Update upstream changelog name
* debian/source/options: Ignore generated egg directories
* Use pybuild buildsystem
* Bump debhelper compatibility level to 11
* Use secure URIs
* Use noawait variants for deb-triggers
* Bump Standards-Version to 4.1.3 (no changes)
* Add upstream metadata
* debian/copyright: Update copyright years
* Add python3-wokkel binary package (Closes: #879712)
* debian/patches/fix-utf-encoding: Fix encoding erros in python3
2013-01-16 - Angel Abad <angel@debian.org>
wokkel (0.7.1-1) unstable; urgency=low
* Imported Upstream version 0.7.1
* debian/control: Update VCS fields for Git
* debian/rules:
- Don't remove egg-info dir
- Remove override_dh_auto_clean target
* debian/copyright: Update format to copyright-format 1.0
* Bump Standards-Version to 3.9.4
2012-01-31 - Angel Abad <angel@debian.org>
wokkel (0.7.0-1) unstable; urgency=low
* New upstream release
* debian/control:
- Switch python-twisted to python-twisted-core in Depends
- Bump python-twisted-core Depends to 10.0.0
- {Build-}Depends on python-dateutil
- Depends on python-twisted-words (>= 10.0.0)
- Depends on python-twisted-names (>= 10.0.0)
* debian/pydist-overrides:
- Override twisted with python-twisted-core
* debian/python-wokkel.triggers:
- Add trigger to update twisted plugins cache
2012-01-02 - Angel Abad <angel@debian.org>
wokkel (0.6.3-5) unstable; urgency=low
* debian/watch: Ignore upstream pre releases
* Update my email address -> angel@debian.org
* debian/copyright:
- Update debian/* years
- Update format specification
* debian/control: Remove DM-Upload-Allowed
2011-08-07 - Angel Abad <angelabad@gmail.com>
wokkel (0.6.3-4) unstable; urgency=low
* debian/control:
- Remove python:Breaks
- Fix typo in description, thanks Simon Kainz (Closes: #636585)
* Bump Standards-Version to 3.9.2 (no changes)
* Bump Debhelper compat level to 8
2011-05-08 - Piotr Oarowski <piotr@debian.org>
wokkel (0.6.3-3) unstable; urgency=low
* Team upload.
* Rebuild to add Python 2.7 support
2011-02-08 - Angel Abad <angelabad@gmail.com>
wokkel (0.6.3-2) unstable; urgency=low
* Switch to dh_python2
- debian/control:
+ Remove python-support from B-D-I
+ Bump minimun python-all version to 2.6.6-3
+ Add Breaks: python:Breaks
+ Add X-Python-Version: >= 2.4
- debian/rules
+ Add --with python2 to rules
- debian/pyversions: Remove file
* Bump Standards-Version to 3.9.1 (no changes)
* Switch to dpkg-source format 3.0 (quilt)

See Also

Package Description
python3-workqueue_7.0.9-2_amd64.deb cooperative computing tools work queue Python3 bindings
python3-wrapt_1.10.11-1_amd64.deb decorators, wrappers and monkey patching. - Python 3.x
python3-wreport_3.15-1_amd64.deb Python library to work with BUFR and CREX weather bulletins
python3-wsaccel_0.6.2-1+b1_amd64.deb Accelerator for ws4py and AutobahnPython - Python 3.x
python3-wsgi-intercept_1.5.0-2_all.deb installs a WSGI application in place of a real URI for testing (python3)
python3-wsgicors_0.4.1-1_all.deb WSGI middleware to handle CORS preflight requests for Python 3
python3-wsgilog_0.3.1-2_all.deb WSGI logging and event reporting middleware (Python 3)
python3-wsgiproxy_0.4.5-1_all.deb minimalist WSGI server implementation using async
python3-wsme_0.9.3-2_all.deb Web Services Made Easy: implement multi-protocol webservices - Python 3.x
python3-wsproto_0.11.0-2_all.deb WebSockets state-machine based protocol implementation (Python3)
python3-wstool_0.1.17-1_all.deb Commands to manage multi-VCS repositories (for Robot OS) Python 3
python3-wtf-peewee_3.0.0+dfsg-1_all.deb WTForms integration for peewee models (Python 3)
python3-wtforms_2.2.1-1_all.deb flexible forms validation and rendering library for Python 3
python3-wxgtk-media4.0_4.0.4+dfsg-2_amd64.deb Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.media)
python3-wxgtk-webview4.0_4.0.4+dfsg-2_amd64.deb Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.html2)
Advertisement
Advertisement